<?php

namespace App\Wrangler\Components;

use Illuminate\Http\Request;
use Medialight\Textstem\Models\WranglerPage;
use Medialight\Textstem\Wrangler\ActiveComponent;

/**
 * Class Sample
 *
 * A short summary of what this component does.
 *
 * @extends ActiveComponent
 */
class CuratedCollectionCard extends ActiveComponent
{
    public static string $description = 'A short summary of what this compoent does.';
    public static string $version = '1.0.0';

    public $config;

    public array $editSetup = [
        [
            'name' => 'template',
            'controltype' => 'select-template',
            'value' => 'default',
            'label' => 'View template',
            'options' => ['default'],
            'size' => 4,
        ],
        [
            'name' => 'title',
            'controltype' => 'text',
            'value' => '',
            'label' => 'Title',
        ],
        [
            'name' => 'age_level',
            'controltype' => 'text',
            'value' => '',
            'label' => 'Age Level',
        ],
        [
            'name' => 'study_area',
            'controltype' => 'text',
            'value' => '',
            'label' => 'Study Areas',
        ],
        [
            'name' => 'summary',
            'controltype' => 'textarea',
            'value' => '',
            'label' => 'Summary',
        ],
        [
            'name' => 'link',
            'controltype' => 'page_selector',
            'value' => '',
            'label' => 'Link',
        ],
        [
            'name' => 'image',
            'controltype' => 'image',
            'value' => '',
            'label' => "Image (Desktop)",
            'aspect' => '16/6',
            'size' => 3
        ],
    ];

    public function render(Request $request, WranglerPage $wranglerPage)
    {
        $view = $this->getView();
        $data = $this->data();
        //dd($data);
        return view($view, $data)->render();
    }

    public function preview()
    {
        $view = $this->getPreview();
        $data = $this->data();
        return view($view, $data)->render();
    }
}
