@if ($firstOfType?? false)
    <div role="list" class="flex flex-wrap pb-10 gap-x-8 gap-y-16">
        @endif
        <div class="bg-blue-100 rounded-2xl w-full flex flex-col mb-3 gap-4" style="max-width: 320px">
            <div class="w-full ">
                @if($image ?? false)
                    <div class="rounded-2xl overflow-hidden flex items-center p-1">
                        <a href="{{ $link }}">
                            <img class="card-img-top rounded-2xl object-cover" data-src="{{ $image }}"
                                 alt="{{ $title }}" src="/img/tile/{{ $image }}"
                                 style="height: auto; width: 100%; display: block; object-fit: cover;">
                        </a>
                    </div>
                @endif

                <div class="p-4 flex flex-col justify-between h-full">

                    <div class="relative">
                        <a href="{{ $link ?? '#'}}">
                            <h4 class="text-base leading-tight mb-4 line-clamp-3">
                                {{ $title?? '' }}
                            </h4>
                            <div class="text-secondary-500 text-xs mb-4 line-clamp-3">
                                Age Level: {{ $age_level ?? '' }}
                            </div>
                            <div class="text-secondary-500 text-xs mb-4 line-clamp-3">
                                Study Areas: {{ $study_area ?? '' }}
                            </div>
                            <div class="text-secondary-500  text-xs mb-4 line-clamp-4">
                                {{ $summary?? '' }}
                            </div>
                        </a>
                    </div>
                    <div class="text-center mx-auto">
                        <a href="{{ $link }}" class="text-xs flex items-center gap-x-4" title="Read more">
                            Read more
                            <svg fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"
                                 stroke-width="2" class="w-4 h-4" viewBox="0 0 24 24">
                                <path d="M5 12h14M12 5l7 7-7 7"></path>
                            </svg>
                        </a>
                    </div>
                </div>
            </div>

        </div>
        @if ($lastOfType?? false)
    </div>
@endif
